LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XToolbarControllerListener Interface Reference

is used to notify a toolbar controller about events More...

`import"XToolbarControllerListener.idl";`

Inheritance diagram for XToolbarControllerListener:

## Public Member Functions
void | functionSelected ([in] string aToolbarRes, [in] string aCommand)
| gets called to notify a controller that a toolbar function has been selected. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to notify a toolbar controller about events

See also
  com::sun::star::frame::ToolbarController

Since
  OOo 2.0

## Member Function Documentation

## ◆ functionSelected()

void functionSelected | ( | [in] string | aToolbarRes,
|  | [in] string | aCommand
| ) |  |

gets called to notify a controller that a toolbar function has been selected.

Parameters

  aToolbarRes | a string which identifies the toolbar where the function has been selected.
  aCommand | a string which identifies the function that has been selected.

This notification is normally used to implement the toolbar button/sub-toolbar function feature. It exchanges the function of the toolbar button, that opened the sub-toolbar, with the one that has been selected on the sub-toolbar.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XToolbarControllerListener.idl